Skip to content

knowledge.get

One document and its status.

Reference

GET/api/v1/knowledge-base/documents/{document_uuid}

Auth
API key in X-API-Key
Content
none
Returns
200 · DocumentResponseSchema

Get details of a specific document. Access Control: * Users can only access documents from their organization.

Arguments

ArgumentInTypeRequiredDescription
document_uuidpathstringrequired

Example request

curl -X GET "https://api.decibyl.ai/api/v1/knowledge-base/documents/<document_uuid>" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "id": 1,
  "document_uuid": "string",
  "filename": "string",
  "file_size_bytes": 1,
  "file_hash": "string",
  "mime_type": "string",
  "processing_status": "string",
  "processing_error": "string",
  "needs_reingest": false,
  "total_chunks": 1,
  "retrieval_mode": "chunked",
  "custom_metadata": {},
  "docling_metadata": {},
  "source_url": "string",
  "scope": "library",
  "folder_id": 1,
  "workflow_id": 1,
  "file_folder_id": 1,
  "created_at": "2026-09-14T09:30:00Z",
  "updated_at": "2026-09-14T09:30:00Z",
  "organization_id": 1,
  "created_by": 1,
  "is_active": true,
  "version": 1,
  "versions": [
    {
      "version": 1,
      "uploaded_at": "string",
      "uploaded_by": 1,
      "file_size_bytes": 1,
      "current": false
    }
  ],
  "state": "ready",
  "state_detail": "string"
}

Errors

StatusWhen
404Not found
422Validation Error